image: 'tmaier/docker-compose:latest'
variables:
    PYTHON_BASE_IMAGE: 'python:3.8.4-slim'

stages:
    - test
    - build

pytest:
    image: $PYTHON_BASE_IMAGE
    stage: test
    script:
        - 'python -m pip install --upgrade pip'
        - 'python -m pip install -r requirements.txt'
        - 'python -m pip install pytest'
        - 'python -m pytest test'

extract_data:
    image: $PYTHON_BASE_IMAGE
    stage: build
    script:
        - 'python -m pip install --upgrade pip'
        - 'python -m pip install -r requirements.txt'
        - 'python -m pip install ipython'
        - 'ipython travelogues_extraction/script/script.py'
    artifacts:
        paths:
            - 'travelogues_extraction/script/output/'
